about summary refs log tree commit diff stats
path: root/home-manager/packages/scripts/small_functions/deprecated/ply-pre
diff options
context:
space:
mode:
Diffstat (limited to 'home-manager/packages/scripts/small_functions/deprecated/ply-pre')
-rwxr-xr-xhome-manager/packages/scripts/small_functions/deprecated/ply-pre33
1 files changed, 33 insertions, 0 deletions
diff --git a/home-manager/packages/scripts/small_functions/deprecated/ply-pre b/home-manager/packages/scripts/small_functions/deprecated/ply-pre
new file mode 100755
index 00000000..8e40486c
--- /dev/null
+++ b/home-manager/packages/scripts/small_functions/deprecated/ply-pre
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# shellcheck source=/dev/null
+. ~/.local/lib/shell/lib
+
+
+## Preview Plymouth Splash ##
+##      by _khAttAm_       ##
+##    www.khattam.info     ##
+##    License: GPL v3      ##
+
+chk_root () {
+
+  if [ ! "$( id -u )" -eq 0 ]; then
+    echo Must be run as root
+    exit 1
+  fi
+
+}
+
+chk_root
+
+DURATION=$1
+
+if [ $# -ne 1 ]; then
+	DURATION=5
+fi
+
+plymouthd; plymouth --show-splash ; 
+for i in $(seq 1 $DURATION); do 
+    plymouth --update=test"$i" ; sleep 1; 
+done; 
+plymouth quit